#ifndef REPOHIST_H
#define REPOHIST_H

#include <QMainWindow>
#include <QSettings>
#include <QNetworkAccessManager>
#include <QNetworkReply>

#include "ui_applist.h"

class RepoHist: public QMainWindow
{
Q_OBJECT
public:
    RepoHist(QWidget *parent = 0);
private:
    Ui::AppList* ui;
    QSettings settings;
    QNetworkAccessManager* manager;
    void getData();
private slots:
    void loadStat(QNetworkReply* reply);
    void showRepoChooser();
    void showRangeChooser();
    void showStatusChooser();
    void showCategoryChooser();
};

#endif // REPOHIST_H
