# -------------------------------------------------
# Project created by QtCreator 2009-12-04T23:49:25
# -------------------------------------------------
CONFIG += release
#CONFIG += debug
QT += network
TARGET = appwatch
TEMPLATE = app
SOURCES += main.cpp \
    mainwindow.cpp \
    repostat.cpp \
    repochooser.cpp \
    repohist.cpp \
    appdetails.cpp \
    fremantlerepochooser.cpp \
    rangepicker.cpp \
    appcontext.cpp \
    appforecast.cpp \
    hotapps.cpp \
    diskusage.cpp \
    statuschooser.cpp \
    appcontextfield.cpp \
    simplefetch.cpp \
    categorychooser.cpp
HEADERS += mainwindow.h \
    repostat.h \
    repochooser.h \
    repohist.h \
    appdetails.h \
    fremantlerepochooser.h \
    ui_applist.h \
    rangepicker.h \
    appcontext.h \
    appforecast.h \
    hotapps.h \
    diskusage.h \
    statuschooser.h \
    appcontextfield.h \
    simplefetch.h \
    categorychooser.h
FORMS += mainwindow.ui \
    repostat.ui \
    repochooser.ui \
    applist.ui \
    appdetails.ui \
    fremantlerepochooser.ui \
    rangepicker.ui \
    applistitem.ui \
    appcontext.ui \
    statuschooser.ui \
    categorychooser.ui
CONFIG += qdbus
unix {
    # VARIABLES
    isEmpty(PREFIX):PREFIX = /usr #/local ?
    BINDIR = $$PREFIX/bin
    DATADIR = $$PREFIX/share
    DEFINES += DATADIR=\"$$DATADIR\" \
        PKGDATADIR=\"$$PKGDATADIR\"

    contains(QT_CONFIG, hildon):{
          DEFINES += CHIMGDIR=\'\"$$DATADIR/$${TARGET}\"\'
    }
    # MAKE INSTALL
    INSTALLS += target \
        imagery \
        desktop \
        iconxpm \
        icon26 \
        icon40 \
        icon64
    target.path = $$BINDIR
    imagery.path = $$DATADIR/$${TARGET}/images
    imagery.files += ../src/images/*png
    desktop.path = $$DATADIR/applications/hildon
    desktop.files += $${TARGET}.desktop
    iconxpm.path = $$DATADIR/pixmap
    iconxpm.files += ../data/maemo/$${TARGET}.xpm
    icon26.path = $$DATADIR/icons/hicolor/26x26/apps
    icon26.files += ../data/26x26/$${TARGET}.png
    icon40.path = $$DATADIR/icons/hicolor/40x40/apps
    icon40.files += ../data/40x40/$${TARGET}.png
    icon64.path = $$DATADIR/icons/hicolor/64x64/apps
    icon64.files += ../data/64x64/$${TARGET}.png
}
