#ifndef APPCONTEXT_H
#define APPCONTEXT_H

#include <QDialog>

namespace Ui {
    class AppContext;
}

class AppContext : public QDialog {
Q_OBJECT
protected:
    void changeEvent(QEvent *e);

private:
    Ui::AppContext *ui;
    QDialog dialog;
    QString name;
    QString version;
    QString distro;
    QString repo;
public:
    AppContext(QWidget *parent = 0);
    ~AppContext();
    void setName(QString pname, QString pversion);
    void setRepo(QString pdistro, QString prepo, QString category);
    void setDesc();

public slots:
    void gotoPackage();
    void setDescText(QByteArray d);
    void setDescImage(QByteArray ba);
};

#endif // APPCONTEXT_H
