#ifndef CATEGORYCHOOSER_H
#define CATEGORYCHOOSER_H

#include <QDialog>

namespace Ui {
    class CategoryChooser;
}

class CategoryChooser : public QDialog {
    Q_OBJECT
public:
    CategoryChooser(QStringList state = QStringList(), QWidget *parent = 0);
    ~CategoryChooser();
    QStringList getCategories();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::CategoryChooser *ui;
    int buttonsSelected;
private slots:
    void toggleButton(bool b) { b ? buttonsSelected++ : buttonsSelected--; }
    void toggleAll();
};

#endif // CATEGORYCHOOSER_H
