#ifndef HOTAPPS_H
#define HOTAPPS_H

#include <QMainWindow>
#include <QSettings>
#include <QNetworkAccessManager>
#include <QNetworkReply>

#include "ui_applist.h"

class HotApps: public QMainWindow
{
Q_OBJECT
public:
    HotApps(QWidget *parent = 0);
private:
    Ui::AppList* ui;
    QSettings settings;
    QNetworkAccessManager* manager;
    void getData();
private slots:
    void loadStat(QNetworkReply* reply);
    void showCategoryChooser();
    void showRangeChooser();
};

#endif // HOTAPPS_H
